package cn.sh.stc.sict.theme.hphy.service;

import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.theme.hphy.model.HphyGuideRecord;
import cn.sh.stc.sict.theme.hphy.model.HphyPatientBase;
import cn.sh.stc.sict.theme.hphy.vo.DiseaseAnalysisDTO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.io.UnsupportedEncodingException;
import java.util.List;

/**
 * 高血压-患者-导医记录
 *
 * @author F_xh
 * @date 2020-09-30 14:47:53
 */
public interface HphyGuideRecordService extends IService<HphyGuideRecord> {
    HphyGuideRecord initGuide(HphyPatientBase patient);

    R analysisDisease(Long patientId, Long guideId) throws UnsupportedEncodingException;

    List<DiseaseAnalysisDTO> analysisDiseaseV2(Long patientId, Long guideId) throws UnsupportedEncodingException;

    List<DiseaseAnalysisDTO> analysisDiseaseV3(Long patientId, Long guideId);

    HphyGuideRecord getByPatientId(String patientId);

    R getPythonResult(Long guideId) throws UnsupportedEncodingException;

    List<DiseaseAnalysisDTO> listAnalysis(Long guideId);
}

